package com.hexin.android.component.hangqing.hushen

import android.text.TextUtils

data class ZTAnalysisModel(val stockCode: String?, val stockName: String?,
                           val ztReason: String?, val tags: List<String>?) {
    companion object {
        const val JSON_DATA_RIGHT_FLAG = "0"
        const val JSON_KEY_ERROR_NO = "error_no"
        const val JSON_KEY_ERROR_INFO = "error_info"
        const val JSON_KEY_STOCKS = "stocks"
        const val JSON_KEY_STOCK_CODE = "code"
        const val JSON_KEY_STOCK_NAME = "name"
        const val JSON_KEY_DESCRIPTION = "description"
        const val JSON_KEY_STOCK_LABELS = "stockLabels"
        const val JSON_KEY_LABEL_NAME = "labelName"
        const val MAX_SHOW_TAGS = 3

    }
    fun isValid(): Boolean {
        return !TextUtils.isEmpty(stockCode) && !TextUtils.isEmpty(stockName)
                && !TextUtils.isEmpty(ztReason)
    }
}