package com.hexin.android.component.yidong.dpbidyd.model

import android.text.TextUtils
import com.google.gson.annotations.SerializedName
import com.hexin.util.config.EQConstants

/**
 * 昨日涨停竞价表现数据项
 * Created by yuegang on 19-3-6.
 */
open class BidYesterdayDataBean {

    @SerializedName("stockCode")
    var stockCode: String? = null
    @SerializedName("stockName")
    var stockName: String? = null
    @SerializedName("market")
    var market: String? = null
    @SerializedName("callAuctionRise")
    var callAuctionRise: String? = null //竞价涨幅,9:26前无此数据需要从主站获取数据
    @SerializedName("hotRange")
    var hotRange: Int = 0 //热度排行
    @SerializedName("limitUpReason")
    var limitUpReason: String? = null // 昨日涨停原因
    var isCallAuction: Boolean = false
    var callAuctionStage = EQConstants.INVALID

    open fun available(): Boolean {
        return !TextUtils.isEmpty(stockName)
                && !TextUtils.isEmpty(stockCode)
                && !TextUtils.isEmpty(market)
    }
}