package com.hexin.android.component.hq.kcb

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.hexin.android.component.common.BaseFrameComponent
import com.hexin.plat.android.R

/**
 * 科创板容器（概率发布控制展示网页或native页）
 * Created by yuegang on 19-5-20.
 */
class KCBLayoutContainer(context: Context?, attrs: AttributeSet?) : BaseFrameComponent(context, attrs) {

    private var mComponent :KCBPage? = null

    override fun onFinishInflate() {
        super.onFinishInflate()
        val kcbPage = findViewById<View>(R.id.kcb_page)
        if (kcbPage is KCBPage) {
            mComponent = kcbPage
        }
    }


    fun initTheme() {
        mComponent?.initTheme()
    }

    override fun onBackground() {
        mComponent?.onBackground()
    }

    override fun onForeground() {
        mComponent?.onForeground()
    }

    override fun onRemove() {
        mComponent?.onRemove()
    }

}