package com.hexin.android.component.yidong.dpbidyd

/**
 * 折线图里每一根线的数据原型
 *
 * Create by likai@myhexin.com on 2018-11-28
 */

data class LineModel(
        var values: List<Float>, // 当前有的点的值，要求必须全部是正数或0
        var hasShadow: Boolean, // 折线下方是否需要绘制阴影
        var lineWidth: Int, // 线的粗细
        var lineColor: Int, // 线的颜色
        var drawLine: Boolean //是否画线
) {
    var max: Float = -1f // 这个不需要手动去设置,后面会算的
    var min: Float = -1f //这个不需要手动去设置,后面会算的
    var shadowStartColor: Int = -1 // 折线下方阴影的开始颜色
    var shadowEndColor: Int = -1 // 折线下方阴影的结束颜色
    var percentScaleType : Boolean = false //是否为百分比类型的可读
    var isSolid: Boolean = true // 是否为实线
}