package com.hexin.util

import android.os.Build
import android.webkit.ValueCallback
import android.webkit.WebView

/**
 * Created by Gzw on 2020/5/23 0023.
 */

@JvmOverloads
fun WebView?.evaluateJsCompat(js: String?, callback: ValueCallback<String>? = null) {
    when {
        Build.VERSION.SDK_INT >= 19 -> this?.evaluateJavascript(js, callback)
        else -> this?.loadUrl(js)
    }
}